### Eclipse Workspace Patch 1.0
#P Spark
Index: build/installer/izpack/spark
===================================================================
--- build/installer/izpack/spark	(revision 0)
+++ build/installer/izpack/spark	(revision 0)
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Spark Startup
+#
+$SPARK_OPTS=""
+
+# Detect Java
+JAVACMD=$(which java)
+if [ ! -e "$JAVACMD" ]; then
+	# JAVA_HOME set?
+	if [ "" != "$JAVA_HOME" ]; then
+		JAVACMD="$JAVA_HOME/bin/java"
+	fi
+fi
+
+if [ -z "$JAVACMD" ]; then
+	echo "Java VM not found."
+	exit 1	
+fi 
+
+
+# Start Spark
+"$JAVACMD" $SPARK_OPTS -Xmx64M -Dappdir=$INSTALL_PATH \
+   -cp $INSTALL_PATH/lib/linux/jmf.jar:$INSTALL_PATH/lib/startup.jar:$INSTALL_PATH/lib/linux/jdic.jar:$INSTALL_PATH/resources \
+   org.jivesoftware.launcher.Startup $@
Index: build/installer/izpack/default_shortcutSpec.xml
===================================================================
--- build/installer/izpack/default_shortcutSpec.xml	(revision 0)
+++ build/installer/izpack/default_shortcutSpec.xml	(revision 0)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
+<shortcuts>
+
+	<programGroup defaultName="Spark" location="applications"/>
+	
+	<shortcut
+		name="Spark"
+		programGroup="yes"
+		desktop="yes"
+		applications="no"
+		startMenu="no"
+		startup="no"
+		target="$INSTALL_PATH\Spark.exe"
+		commandLine=""
+		description="Spark"
+		iconFile="$INSTALL_PATH\resources\spark.ico"
+		iconIndex="0"
+		initialState="noShow">
+  
+		<createForPack name="Spark"/>
+
+	</shortcut>
+	
+	<shortcut
+            name="Spark Uninstaller"
+            programGroup="yes"
+            desktop="no"
+            applications="no"
+            startMenu="no"
+            startup="no"
+            target="$INSTALL_PATH\Uninstaller\uninstaller.jar"
+            commandLine=""
+            iconFile="%SystemRoot%\system32\SHELL32.dll"
+            iconIndex="31"
+            description="This uninstalls Spark @build.number@">
+		<createForPack name="Spark"/>
+	</shortcut>
+	
+</shortcuts>
Index: build/installer/izpack/RegistrySpec.xml
===================================================================
--- build/installer/izpack/RegistrySpec.xml	(revision 0)
+++ build/installer/izpack/RegistrySpec.xml	(revision 0)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
+<registry>
+    <pack name="Spark">
+        <value name="DisplayName"
+               keypath="SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Spark"
+               root="HKLM"
+               string="Spark"/>
+        <value name="UninstallString"
+               keypath="SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Spark"
+               root="HKLM"
+               string="&quot;$JAVA_HOME\bin\javaw.exe&quot; -jar &quot;$INSTALL_PATH\uninstaller\uninstaller.jar&quot;"/>
+        <value name="DisplayIcon"
+               keypath="SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Spark"
+               root="HKLM"
+               string="$INSTALL_PATH\bin\icons\izpack.ico"/>
+        <value name="HelpLink"
+               keypath="SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Spark"
+               root="HKLM"
+               string="Spark"/>
+        <value name="TaskbarGroupIcon"
+	       keypath="Applications\Spark.exe"
+	       root="HKCR"
+	       string="$INSTALL_PATH\resources\spark.ico" />	                  
+    </pack>
+</registry>
+
Index: build/installer/izpack/launch4j.tmpl
===================================================================
--- build/installer/izpack/launch4j.tmpl	(revision 0)
+++ build/installer/izpack/launch4j.tmpl	(revision 0)
@@ -0,0 +1,48 @@
+<launch4jConfig>
+  <dontWrapJar>false</dontWrapJar>
+  <headerType>gui</headerType>
+  <jar>@SPARKDIR@/lib/startup.jar</jar>
+  <outfile>@SPARKDIR@/Spark.exe</outfile>
+  <errTitle>Spark</errTitle>
+  <cmdLine></cmdLine>
+  <chdir>.</chdir>
+  <priority>normal</priority>
+  <downloadUrl>http://java.com/download</downloadUrl>
+  <supportUrl></supportUrl>
+  <customProcName>true</customProcName>
+  <stayAlive>true</stayAlive>
+  <manifest></manifest>
+  <classPath>
+    <mainClass>org.jivesoftware.launcher.Startup</mainClass>
+    <cp>./resources</cp>
+    <cp>./lib/*.jar</cp>
+    <cp>./lib/windows/*.jar</cp>
+  </classPath>
+  <icon>@SPARKDIR@/../../src/resources/images/spark.ico</icon>
+  <jre>
+    <path>./jre/</path>
+    <minVersion>1.6.0</minVersion>
+    <maxVersion></maxVersion>
+    <jdkPreference>preferJre</jdkPreference>
+    <opt>-Dappdir=&quot;.&quot;</opt>
+  </jre>
+  <versionInfo>
+    <fileVersion>2.6.0.0</fileVersion>
+    <txtFileVersion>2.6.0</txtFileVersion>
+    <fileDescription>Spark Client</fileDescription>
+    <copyright>http://igniterealtime.org</copyright>
+    <productVersion>2.6.0.0</productVersion>
+    <txtProductVersion>2.6.0</txtProductVersion>
+    <productName>Spark</productName>
+    <companyName>Igniterealtime</companyName>
+    <internalName>Spark Client</internalName>
+    <originalFilename>Spark.exe</originalFilename>
+  </versionInfo>
+  <messages>
+    <startupErr>An error occurred while starting the application.</startupErr>
+    <bundledJreErr>This application was configured to use a bundled Java Runtime Environment but the runtime is missing or corrupted.</bundledJreErr>
+    <jreVersionErr>This application requires a Java Runtime Environment.\nAt least version</jreVersionErr>
+    <launcherErr>The registry refers to a nonexistent Java Runtime Environment installation or the runtime is corrupted.</launcherErr>
+    <instanceAlreadyExistsMsg>An application instance is already running.</instanceAlreadyExistsMsg>
+  </messages>
+</launch4jConfig>
Index: build/rpm/spark.spec
===================================================================
--- build/rpm/spark.spec	(revision 0)
+++ build/rpm/spark.spec	(revision 0)
@@ -0,0 +1,123 @@
+Name: Spark
+Summary: Spark RPM-Paket
+Version: %{SPARK_VERSION}
+Release: 1
+License: GPL
+Group: misc/Spark
+Source: %{SPARK_SOURCE}
+Source1: jre-dist.tar.gz
+BuildRoot: %{_tmppath}/build-root-%{name}
+Packager: igniterealtime.org
+Distribution: Linux
+Prefix: /usr/share
+Url: http://www.igniterealtime.org/downloads/source.jsp
+
+%define prefix /usr/share
+%define homedir %{prefix}/spark
+
+%description
+Instant Messenger
+
+%prep
+%setup -q spark_src
+
+%build
+cd build
+ant jar
+cd ..
+
+
+%install
+# Prep the install location.
+rm -rf $RPM_BUILD_ROOT
+mkdir -p $RPM_BUILD_ROOT%{prefix}
+
+# Copy over the main install tree.
+cp -R target/build $RPM_BUILD_ROOT%{homedir}
+
+mkdir -p $RPM_BUILD_ROOT/usr/bin/
+
+#pushd $RPM_BUILD_ROOT%{homedir}
+cd $RPM_BUILD_ROOT%{homedir}
+gzip -cd %{SOURCE1} | tar xvf -
+#popd
+
+echo "#!/bin/bash" > $RPM_BUILD_ROOT/usr/bin/spark
+echo "SPARKDIR=/usr/share/spark/" >> $RPM_BUILD_ROOT/usr/bin/spark
+echo "/usr/share/spark/jre/bin/java -Dappdir=\$SPARKDIR -cp \$SPARKDIR/lib/linux/jmf.jar:\$SPARKDIR/lib/startup.jar:\$SPARKDIR/lib/linux/jdic.jar:\$SPARKDIR/resources org.jivesoftware.launcher.Startup" >> $RPM_BUILD_ROOT/usr/bin/spark
+
+chmod -R 755 $RPM_BUILD_ROOT/usr/bin/spark
+
+rm -r $RPM_BUILD_ROOT/usr/share/spark/lib/windows
+
+# Force a happy exit even if openfire condrestart script didn't exit cleanly.
+exit 0
+
+
+%files
+%dir /usr/bin/spark
+%dir /usr/share/spark/bin
+%dir /usr/share/spark
+%dir /usr/share/spark/xtra
+/usr/share/spark/bin/*
+%dir /usr/share/spark/documentation/
+/usr/share/spark/documentation/*
+%dir /usr/share/spark/documentation/images/
+/usr/share/spark/documentation/images/*
+%dir  /usr/share/spark/lib
+/usr/share/spark/lib/activation.jar
+/usr/share/spark/lib/asterisk-im-client.jar
+/usr/share/spark/lib/base.jar
+/usr/share/spark/lib/dom4j.jar
+/usr/share/spark/lib/i4jruntime.jar
+%dir /usr/share/spark/lib/linux/
+/usr/share/spark/lib/linux/jdic.jar
+/usr/share/spark/lib/linux/jmf.jar
+/usr/share/spark/lib/linux/libjdic.so
+/usr/share/spark/lib/linux/libmozembed-linux-gtk1.2.so
+/usr/share/spark/lib/linux/libmozembed-linux-gtk2.so
+/usr/share/spark/lib/linux/libtray.so
+/usr/share/spark/lib/linux/mozembed-linux-gtk1.2
+%dir /usr/share/spark/lib/mac/
+/usr/share/spark/lib/mac/JavaSoundStream.fix.jar
+/usr/share/spark/lib/mac/jmf.jar
+/usr/share/spark/lib/mac/libSystemUtilities.jnilib
+/usr/share/spark/lib/smack.jar
+/usr/share/spark/lib/smackx-debug.jar
+/usr/share/spark/lib/smackx.jar
+/usr/share/spark/lib/spark.jar
+/usr/share/spark/lib/startup.jar
+/usr/share/spark/lib/swingx.jar
+/usr/share/spark/lib/synthetica.jar
+/usr/share/spark/lib/syntheticaBlueMoon.jar
+/usr/share/spark/lib/systeminfo.jar
+/usr/share/spark/lib/xpp.jar
+/usr/share/spark/lib/xstream.jar
+%dir /usr/share/spark/logs/
+%doc /usr/share/spark/logs/error.log
+%dir /usr/share/spark/plugins/
+/usr/share/spark/plugins/idlelinux.jar
+/usr/share/spark/plugins/jingle.jar
+/usr/share/spark/plugins/jniwrapper.jar
+/usr/share/spark/plugins/spelling-plugin.jar
+%dir /usr/share/spark/resources/
+/usr/share/spark/resources/Info.plist
+/usr/share/spark/resources/jniwrap.dll
+/usr/share/spark/resources/jniwrap.lic
+%dir /usr/share/spark/resources/sounds/
+/usr/share/spark/resources/sounds/bell.wav
+/usr/share/spark/resources/sounds/chat_request.wav
+/usr/share/spark/resources/sounds/incoming.wav
+/usr/share/spark/resources/sounds/outgoing.wav
+/usr/share/spark/resources/sounds/presence_changed.wav
+/usr/share/spark/resources/startup.sh
+/usr/share/spark/resources/systeminfo.dll
+%dir /usr/share/spark/xtra/emoticons/ 
+/usr/share/spark/xtra/emoticons/Default.adiumemoticonset.zip
+/usr/share/spark/xtra/emoticons/GTalk.AdiumEmoticonset.zip
+/usr/share/spark/xtra/emoticons/POPO.adiumemoticonset.zip
+/usr/share/spark/xtra/emoticons/sparkEmoticonSet.zip
+%{homedir}/jre
+
+
+
Index: build/installer/spark-izpack.xml
===================================================================
--- build/installer/spark-izpack.xml	(revision 0)
+++ build/installer/spark-izpack.xml	(revision 0)
@@ -0,0 +1,101 @@
+<?xml version="1.0" encoding="iso-8859-1" standalone="yes" ?>
+<installation version="1.0">
+    <info>
+        <appname>Spark</appname>
+        <appversion>2.6.0</appversion>
+        <url>http://www.igniterealtime.org</url>
+        <!--<pack200/>-->
+        <run-privileged />
+        
+    </info>
+    
+    <guiprefs width="640" height="480" resizable="no" />
+    
+    <variables>
+        <variable name="DesktopShortcutCheckboxEnabled" value="true" />
+        <variable name="ApplicationShortcutPath" value="ApplicationShortcuts" />
+    </variables>
+
+	<locale>
+       	<langpack iso3="eng"/>
+        <langpack iso3="fra"/>
+        <langpack iso3="deu"/>
+        <langpack iso3="ita"/>
+        <langpack iso3="jpn"/>
+        <langpack iso3="spa"/>
+        <langpack iso3="dan"/>
+        <langpack iso3="ell"/>
+        <langpack iso3="cat"/>
+        <langpack iso3="ned"/>
+        <langpack iso3="fin"/>
+        <langpack iso3="swe"/>
+        <langpack iso3="por"/>
+        <langpack iso3="pol"/>
+        <langpack iso3="rus"/>
+        <langpack iso3="ukr"/>
+        <langpack iso3="hun"/>
+        <langpack iso3="svk"/>
+        <langpack iso3="rom"/>
+        <langpack iso3="mys"/>
+        <langpack iso3="nor"/>
+        <langpack iso3="chn"/>
+        <langpack iso3="scg"/>
+        <langpack iso3="cze"/>
+        <langpack iso3="kor"/>
+        <langpack iso3="glg"/> 
+    </locale>
+    
+    <resources>
+    	<res src="documentation/LICENSE.html" id="HTMLLicencePanel.licence"/>
+		<res src="build/installer/izpack/default_shortcutSpec.xml" id="shortcutSpec.xml"/>
+		<res src="build/installer/izpack/unix_shortcutSpec.xml" id="Unix_shortcutSpec.xml"/>
+		<res src="build/installer/izpack/RegistrySpec.xml" id="RegistrySpec.xml"/>
+    </resources>
+    
+	<panels>
+		<panel classname="HTMLLicencePanel" />
+        <panel classname="TargetPanel" />
+        <panel classname="PacksPanel" />
+        <panel classname="InstallPanel" />
+		<panel classname="ShortcutPanel" />
+        <panel classname="FinishPanel" />
+    </panels>
+    
+    <listeners>
+    	<listener installer="RegistryInstallerListener"
+                  uninstaller="RegistryUninstallerListener">
+            <os family="windows"/>
+        </listener>
+	</listeners>
+	        
+    <packs>
+        <pack name="Spark" required="yes">
+        	<description>XMPP Client</description>
+        	<file src="src/resources/images/spark.ico"			targetdir="$INSTALL_PATH/resources/"/>
+        	<file src="src/resources/images/spark-32x32.png"	targetdir="$INSTALL_PATH/resources/"/>
+        	<file src="target/build/Spark.exe"					targetdir="$INSTALL_PATH" os="windows"/>
+        	<file src="target/build/starter.exe"				targetdir="$INSTALL_PATH" os="windows"/>
+        	<file src="build/installer/izpack/spark" 			targetdir="$INSTALL_PATH" os="unix"/>
+        	<file src="target/build/lib" 						targetdir="$INSTALL_PATH"/>
+        	<file src="target/build/logs"						targetdir="$INSTALL_PATH"/>
+        	<file src="target/build/plugins" 					targetdir="$INSTALL_PATH"/>
+        	<file src="target/build/resources" 					targetdir="$INSTALL_PATH"/>
+        	<file src="target/build/xtra" 						targetdir="$INSTALL_PATH"/>
+        	
+        	<parsable targetfile="$INSTALL_PATH/spark" os="unix"/>
+        	<parsable targetfile="$INSTALL_PATH/starter" os="unix"/>
+        	
+        	<executable targetfile="$INSTALL_PATH/spark" os="unix"/>
+        	<executable targetfile="$INSTALL_PATH/starter.exe" 	os="windows"/>
+        	<executable targetfile="$INSTALL_PATH/Spark.exe" 	os="windows"/>
+    	</pack>    
+	</packs>
+	
+	<!-- The native libraries to add -->
+    <native type="izpack" name="ShellLink.dll"/>
+    <native type="izpack" name="ShellLink_x64.dll"/>
+    <native type="3rdparty" name="COIOSHelper.dll" stage="both">
+        <os family="windows"/>
+    </native>
+            
+</installation>
Index: build/installer/izpack/unix_shortcutSpec.xml
===================================================================
--- build/installer/izpack/unix_shortcutSpec.xml	(revision 0)
+++ build/installer/izpack/unix_shortcutSpec.xml	(revision 0)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
+<shortcuts>
+	<skipIfNotSupported/>
+	<programGroup defaultName="Spark" location="applications"/>
+	
+	<shortcut
+		name="Spark"
+		programGroup="yes"
+		desktop="no"
+		applications="no"
+		startMenu="no"
+		startup="no"
+		target="$INSTALL_PATH/spark"
+		commandLine=""
+		type="Application"
+        encoding="UTF-8"
+        KdeSubstUID="true"
+		workingDirectory="$INSTALL_PATH/"
+		description="Spark"
+		iconIndex="0"
+		iconFile="$INSTALL_PATH/resources/spark-32x32.png"
+		initialState="noShow">
+  		description="Spark - XMPP Client"
+		<createForPack name="Spark"/>
+	</shortcut>
+	
+	<shortcut
+            name="Spark Uninstaller"
+            programGroup="yes"
+            desktop="no"
+            applications="no"
+            startMenu="no"
+            startup="no"
+            target="java"
+            commandLine="-jar &quot;$INSTALL_PATH/Uninstaller/uninstaller.jar&quot;"
+            iconFile="trashcan_full"
+            iconIndex="0"
+            type="Application"
+            encoding="UTF-8"
+            KdeSubstUID="true"
+            workingDirectory=""
+            description="This uninstalls Spark @build.number@">
+		<createForPack name="Spark"/>
+	</shortcut>
+	
+</shortcuts>
Index: build/installer/izpack/launch4j-starter.tmpl
===================================================================
--- build/installer/izpack/launch4j-starter.tmpl	(revision 0)
+++ build/installer/izpack/launch4j-starter.tmpl	(revision 0)
@@ -0,0 +1,46 @@
+<launch4jConfig>
+  <dontWrapJar>true</dontWrapJar>
+  <headerType>gui</headerType>
+  <jar>lib/spark.jar</jar>
+  <outfile>@SPARKDIR@/starter.exe</outfile>
+  <errTitle>Spark</errTitle>
+  <cmdLine></cmdLine>
+  <chdir>.</chdir>
+  <priority>normal</priority>
+  <downloadUrl>http://java.com/download</downloadUrl>
+  <supportUrl></supportUrl>
+  <customProcName>false</customProcName>
+  <stayAlive>true</stayAlive>
+  <manifest></manifest>
+  <icon>@SPARKDIR@/../../src/resources/images/spark.ico</icon>
+  <classPath>
+    <mainClass>org.jivesoftware.Restarter</mainClass>
+    <cp>./lib/spark.jar</cp>
+  </classPath>
+  <jre>
+    <path>./jre/</path>
+    <minVersion>1.6.0</minVersion>
+    <maxVersion></maxVersion>
+    <jdkPreference>preferJre</jdkPreference>
+    <opt>-Dappdir=&quot;.&quot;</opt>
+  </jre>
+  <versionInfo>
+    <fileVersion>2.6.0.0</fileVersion>
+    <txtFileVersion>2.6.0</txtFileVersion>
+    <fileDescription>Spark Client</fileDescription>
+    <copyright>http://igniterealtime.org</copyright>
+    <productVersion>2.6.0.0</productVersion>
+    <txtProductVersion>2.6.0</txtProductVersion>
+    <productName>Spark</productName>
+    <companyName>Igniterealtime</companyName>
+    <internalName>Spark Client</internalName>
+    <originalFilename>starter.exe</originalFilename>
+  </versionInfo>
+  <messages>
+    <startupErr>An error occurred while starting the application.</startupErr>
+    <bundledJreErr>This application was configured to use a bundled Java Runtime Environment but the runtime is missing or corrupted.</bundledJreErr>
+    <jreVersionErr>This application requires a Java Runtime Environment.\nAt least version</jreVersionErr>
+    <launcherErr>The registry refers to a nonexistent Java Runtime Environment installation or the runtime is corrupted.</launcherErr>
+    <instanceAlreadyExistsMsg>An application instance is already running.</instanceAlreadyExistsMsg>
+  </messages>
+</launch4jConfig>
